%define upstream_name    Apache-Filter
%define upstream_version 1.024

# it wants a module from mod_perl-1.x
%global __requires_exclude perl\\(Apache::RegistryNG\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:	%{upstream_name} module for perl
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		Apache-Filter-1.024-mod_perl2.diff

BuildRequires:	apache-mod_perl 
BuildRequires:  perl-devel

BuildArch:	noarch


Requires:	apache-mod_perl

%description
%{upstream_name} module for perl : Alter the output of previous handlers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
APACHE=%{_sbindir}/httpd perl Makefile.PL INSTALLDIRS=vendor <<EOF


EOF
%make

#make test

%install
%make_install

%files
%doc README Changes
%{perl_vendorlib}/Apache
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.24.0-16.mga8
+ Revision: 1503443
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.24.0-15.mga7
+ Revision: 1281590
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.24.0-14.mga7
+ Revision: 1162978
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 1.24.0-13.mga6
+ Revision: 1022522
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.24.0-12.mga6
+ Revision: 939959
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.24.0-11.mga5
+ Revision: 749773
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.24.0-10.mga5
+ Revision: 683483
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.24.0-9.mga4
+ Revision: 509086
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.24.0-8.mga3
+ Revision: 362952
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.24.0-7.mga1
+ Revision: 37022
- mageia rebuild
- imported package perl-Apache-Filter


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.24.0-7mdv2010.1
+ Revision: 504563
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.024-6mdv2010.0
+ Revision: 430257
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.024-5mdv2009.0
+ Revision: 241147
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.024-3mdv2007.0
+ Revision: 73195
- import perl-Apache-Filter-1.024-3mdk

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.024-3mdk
- Fix SPEC Using perl Policies
	- Source URL

* Tue Jan 31 2006 Oden Eriksson <oeriksson@mandrakesoft.com> 1.024-2mdk
- fix deps with P0 (fixes only mod_perl2 dependencies)
- filter out one mod_perl-1.x dep

* Tue Oct 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.024-1mdk
- New release 1.024

* Wed Jun 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.023-1mdk
- 1.023

* Tue Jun 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.022-3mdk
- Fix build with new httpd path

